/*
 *
 * Copyright (C) 2000  Robert Olsson, Jens Ls 
 * Swedish University of Agricultural Sciences
 *
 * This file is part of GNU Zebra.
 *
 * GNU Zebra is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * GNU Zebra is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Zebra; see the file COPYING.  If not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */

void process_kernelCall(char *buf, struct interface *ifp);
void process_wrong_vif(char *buf, struct interface *ifp);
void mrt_init();
void kernel_init();
int vif_add(struct interface *ifp, u_int32_t *flags, u_int32_t *threshold);
int mfc_add(int socket,
	    u_int32_t src,
	    u_int32_t group,
	    vifi_t iif,
	    vifbitmap_t oifs);
int add_to_oifs (char *name, vifi_t *oifs);
void select_DR();
void route_cmd_init();
void uptime_vty (struct vty *vty, time_t *t);
void exptime_vty (struct vty *vty, time_t *t);
int get_sg_counts(struct mrt *mr);
int mfc_delete(int socket, u_int32_t src, u_int32_t group, vifi_t iif,vifbitmap_t oifs);

u_int32_t select_rp(u_int32_t g);
void init_pim_if(struct pim_interface *pi);
void init_pim_register_dev();
struct mgrp *pim_mg_add( u_int32_t group, time_t holdtime);
int same_subnet(u_int32_t s);

void pim_flags_f(FILE *vty, u_int32_t s, u_int32_t g, u_int32_t flags);



